EDIT - feature request #6203

Implement unplaced and excluded in dataportal
11/15/2016 03:00 PM - Andreas Muller

Status: New Start date:

Priority: Priority13 Due date:

Assignee: Andreas Kohlbecker % Done: 0%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Reviewed Next Major Release

Severity: major

Description

Unplaced taxon nodes should be put to an incertis sedis node in the tree. Excluded nodes should be put to an excluded node in
the tree.

| don't know if this already happened for the flag in Taxon class. NOPE!

Also we should mention the state somehow on the taxon page. --> see #6221

At least for phycobank a special configuration options are needed in the portal:

e [] virtual classification nodes for unplaced and excluded taxa ( default = true, description = "Unplaced taxa are shown at the end
of the classification. If this option is activated unplaced taxa will be put into the virtual classification node incertis sedis, excluded
taxa in the virtual node excluded. If this option is inactive the taxa flagged as unplaced or excluded are shown as separately
ordered set at the end of the siblings list with first unplaced then excluded taxa and internally ordered by rank and alphabet.

Subtasks:
bug # 6414: use short name for excluded, unplaced taxa when the genus of the parent tax... New

Related issues:

Related to EDIT - feature request #6547: Implement excluded and unplaced in t... Closed
Related to EDIT - bug #9741: cdm_dataportal_shortname_of truncates uninomial ... New
Precedes EDIT - feature request #3925: Unplaced and excluded to TaxonNode Closed
Copied to EDIT - task #6221: mention the unplaced and excluded states in the ... New

Associated revisions

Revision a0e3ae5c - 11/25/2016 11:20 AM - Andreas Kohlbecker

ref #6203 checked return types of classification services and updated documentation

History

#1 - 11/15/2016 03:00 PM - Andreas Miuller

- Precedes feature request #3925: Unplaced and excluded to TaxonNode added

#2 - 11/21/2016 01:26 PM - Andreas Miiller
- Priority changed from New to Highest

#3 - 11/21/2016 01:26 PM - Andreas Kohlbecker
- Description updated

- Priority changed from Highest to New

#4 - 11/21/2016 02:37 PM - Andreas Kohlbecker
- Priority changed from New to Highest
https://dev.e-taxonomy.eu/redmine/issues/3925
https://dev.e-taxonomy.eu/redmine/issues/6221

#5 - 11/23/2016 02:11 PM - Andreas Kohlbecker

Unplaced taxon nodes should be put to an incertis sedis node in the tree. Excluded nodes should be put to an excluded node in the tree.

I am not sure if this is only a task for the dataportal. | rather would see this as a feature for the cdmlib.

#6 - 11/24/2016 02:33 PM - Andreas Miiller

- Assignee changed from Andreas Kohlbecker to Katja Luther

Katja, could you have a look on this.
We definetely need to move the unplaced and excluded (in this order) taxa to the end in the according cdmlib method.

It needs to be discussed if we already want to create explicit nodes in the result. This may make sense for the dataportal but as these nodes are
volatile they better should be created by the application itself that shows the data (they can easily be created).

Is the TaxEditor navigator using the same cdmlib method here? Maybe we need to discuss the same issue for the TaxEditor.

#7 - 11/24/2016 02:33 PM - Andreas Miller

- Target version changed from Release 4.4 to Release 4.5

#8 - 11/25/2016 11:39 AM - Andreas Kohlbecker
- Tracker changed from bug to feature request

- Priority changed from Highest to New

unplaced and excluded are handled correctly in the portal at least in the sense that the model change is not causing any problems in the portal. So
this issue is not a bug report but a feature request. | am resetting the priority to 'new' since we still need to decide on the priority.

#9 - 11/25/2016 11:47 AM - Andreas Kohlbecker

- Copied to task #6221: mention the unplaced and excluded states in the taxon page added

#10 - 11/25/2016 11:49 AM - Andreas Kohlbecker

- Description updated

#11 - 11/25/2016 03:10 PM - Andreas Miiller
- Description updated

- Priority changed from New to Highest

#12 - 01/06/2017 02:22 PM - Katja Luther

In the navigator of the editor the nodes are loaded step by step. Therefore it is difficult to move all excluded and unplaced taxonnodes in
corresponding nodes in the tree on the editor side. These nodes would be filled while the user opens parents with excluded or unplaced children.
So | think for the editor the only solution is to create two nodes excluded and incertis sedis and move the excluded and unplaced nodes to these
nodes.

#13 - 01/19/2017 01:26 PM - Andreas Miiller

- Target version changed from Release 4.5 to Release 4.6

#14 - 02/10/2017 02:16 PM - Andreas Kohlbecker

- Target version changed from Release 4.6 to Release 4.7

#15 - 03/30/2017 02:50 PM - Andreas Miiller

- Related to feature request #6547: Implement excluded and unplaced in taxon navigator added

#16 - 05/11/2017 11:57 AM - Andreas Muller

- Target version changed from Release 4.7 to Release 4.8

#17 - 07/06/2017 10:11 PM - Andreas Miiller

- Target version changed from Release 4.8 to Release 4.9
#18 - 07/21/2017 10:29 AM - Andreas Miiller

- Target version changed from Release 4.9 to Release 4.10

#19 - 09/24/2017 01:29 AM - Andreas Miiller

- Target version changed from Release 4.10 to Release 4.11

#20 - 11/08/2017 11:20 AM - Andreas Miiller

- Target version changed from Release 4.11 to Release 4.12

#21 - 12/05/2017 02:15 PM - Andreas Miiller

- Target version changed from Release 4.12 to Release 4.13

#22 - 12/13/2017 01:42 PM - Katja Luther

- Assignee changed from Katja Luther to Andreas Kohlbecker

Katja Luther wrote:
In the navigator of the editor the nodes are loaded step by step. Therefore it is difficult to move all excluded and unplaced taxonnodes in
corresponding nodes in the tree on the editor side. These nodes would be filled while the user opens parents with excluded or unplaced children.

So | think for the editor the only solution is to create two nodes excluded and incertis sedis and move the excluded and unplaced nodes to these
nodes.

But they are not put to an extra node, did they? | had a look for the caryophyllales DB and there the excluded/unplaced taxa are still under their parent
node.

#23 - 01/31/2018 12:14 PM - Andreas Miiller

- Target version changed from Release 4.13 to Release 4.14

#24 - 02/15/2018 02:59 PM - Andreas Miiller

- Target version changed from Release 4.14 to Release 5.0

#25 - 03/28/2018 05:41 PM - Andreas Kohlbecker

- Severity changed from normal to major

#26 - 03/28/2018 05:59 PM - Andreas Kohlbecker
- Description updated

#27 - 03/28/2018 09:46 PM - Andreas Miiller
- Description updated

#28 - 05/16/2018 11:19 AM - Andreas Kohlbecker

- Target version changed from Release 5.0 to Release 5.1

#29 - 06/28/2018 12:12 AM - Andreas Miiller

- Target version changed from Release 5.1 to Release 5.2

#30 - 08/17/2018 03:54 PM - Andreas Kohlbecker

- Target version changed from Release 5.2 to Release 5.3

#31 - 09/11/2018 05:00 PM - Andreas Kohlbecker

- Target version changed from Release 5.3 to Release 5.4

#32 - 10/23/2018 12:49 PM - Andreas Kohlbecker

- Target version changed from Release 5.4 to Release 5.5

#33 - 01/30/2019 11:30 AM - Andreas Kohlbecker

- Target version changed from Release 5.5 to Release 5.6
#34 - 02/22/2019 04:49 PM - Andreas Kohlbecker

- Target version changed from Release 5.6 to Reviewed Next Major Release

#35 - 09/01/2021 11:44 PM - Andreas Miiller

- Related to bug #9741: cdm_dataportal_shortname_of truncates uninomial with not abbreviated author strings and causes other odds added
